//
//  ContentAnimatingLayer.h
//  LayerContentAnimation
//
//  Created by Timothy J. Wood on 11/13/08.
//  Copyright 2008 The Omni Group. All rights reserved.
//

#import <QuartzCore/CALayer.h>

@interface ContentAnimatingLayer : CALayer
{
@private
    NSMutableArray *_activeContentAnimations;
    NSTimer *_updateTimer;
}

+ (NSSet *)keyPathsForValuesAffectingContent;

- (BOOL)isContentAnimation:(CAAnimation *)anim;
- (CABasicAnimation *)basicAnimationForKey:(NSString *)key;
- (id <CAAction>)actionForContents;

#define CurrentAnimationValue(field) ({ __typeof__(self) p = (id)self.presentationLayer; p.field; })

@end
