//
//  Controller.m
//  LayerContentAnimation
//
//  Created by Timothy J. Wood on 11/13/08.
//  Copyright 2008 The Omni Group. All rights reserved.
//

#import "Controller.h"

#import "WaveLayer.h"

@implementation Controller

- init;
{
    phase = 0;
    amplitude = 10;
    frequency = 0.5;
    
    return self;
}

- (void)awakeFromNib;
{
    view.layer.backgroundColor = CGColorCreateGenericRGB(0.8, 0.8, 1.0, 1.0);
    
    WaveLayer *wave = [WaveLayer layer];
        
    [wave bind:@"amplitude" toObject:self withKeyPath:@"amplitude" options:nil];
    [wave bind:@"frequency" toObject:self withKeyPath:@"frequency" options:nil];
    [wave bind:@"phase" toObject:self withKeyPath:@"phase" options:nil];
    
    wave.backgroundColor = CGColorCreateGenericRGB(0.7, 1.0, 0.7, 1.0);
    wave.frame = NSRectToCGRect(NSInsetRect(view.bounds, 20, 20));
    [view.layer addSublayer:wave];
}

@end
